package wenrgise.hrms.bean;

import java.io.Serializable;
import wenrgise.common.bean.BaseDetailBean;

public class HrmAprslTrngReqDtlBean extends BaseDetailBean implements Serializable {
  String txtDateSubmitted;
  
  String txtCourseName;
  
  String txtTrngCal;
  
  String txtInstName;
  
  String txtStartDate;
  
  String txtEndDate;
  
  String txtNature;
  
  String txtPurpose;
  
  String txtRecommender;
  
  String txtAppStatus;
  
  String txtRemarks;
  
  String txtCrsId;
  
  String txtCalId;
  
  String txtRecId;
  
  String disabbutCourseLOV;
  
  String disabbutTrngCalLOV;
  
  String disabbutRecLOV;
  
  String txtLevel;
  
  String txtEmpId;
  
  String txtRecNo;
  
  String txtCourseCode;
  
  String disabtxtRemarks;
  
  String disabtxtPurpose;
  
  public String getTxtDateSubmitted() {
    return this.txtDateSubmitted;
  }
  
  public void setTxtDateSubmitted(String newTxtDateSubmitted) {
    this.txtDateSubmitted = newTxtDateSubmitted;
  }
  
  public String getTxtCourseName() {
    return this.txtCourseName;
  }
  
  public void setTxtCourseName(String newTxtCourseName) {
    this.txtCourseName = newTxtCourseName;
  }
  
  public String getTxtTrngCal() {
    return this.txtTrngCal;
  }
  
  public void setTxtTrngCal(String newTxtTrngCal) {
    this.txtTrngCal = newTxtTrngCal;
  }
  
  public String getTxtInstName() {
    return this.txtInstName;
  }
  
  public void setTxtInstName(String newTxtInstName) {
    this.txtInstName = newTxtInstName;
  }
  
  public String getTxtStartDate() {
    return this.txtStartDate;
  }
  
  public void setTxtStartDate(String newTxtStartDate) {
    this.txtStartDate = newTxtStartDate;
  }
  
  public String getTxtEndDate() {
    return this.txtEndDate;
  }
  
  public void setTxtEndDate(String newTxtEndDate) {
    this.txtEndDate = newTxtEndDate;
  }
  
  public String getTxtNature() {
    return this.txtNature;
  }
  
  public void setTxtNature(String newTxtNature) {
    this.txtNature = newTxtNature;
  }
  
  public String getTxtPurpose() {
    return this.txtPurpose;
  }
  
  public void setTxtPurpose(String newTxtPurpose) {
    this.txtPurpose = newTxtPurpose;
  }
  
  public String getTxtRecommender() {
    return this.txtRecommender;
  }
  
  public void setTxtRecommender(String newTxtRecommender) {
    this.txtRecommender = newTxtRecommender;
  }
  
  public String getTxtAppStatus() {
    return this.txtAppStatus;
  }
  
  public void setTxtAppStatus(String newTxtAppStatus) {
    this.txtAppStatus = newTxtAppStatus;
  }
  
  public String getTxtRemarks() {
    return this.txtRemarks;
  }
  
  public void setTxtRemarks(String newTxtRemarks) {
    this.txtRemarks = newTxtRemarks;
  }
  
  public String getTxtCrsId() {
    return this.txtCrsId;
  }
  
  public void setTxtCrsId(String newTxtCrsId) {
    this.txtCrsId = newTxtCrsId;
  }
  
  public String getTxtCalId() {
    return this.txtCalId;
  }
  
  public void setTxtCalId(String newTxtCalId) {
    this.txtCalId = newTxtCalId;
  }
  
  public String getTxtRecId() {
    return this.txtRecId;
  }
  
  public void setTxtRecId(String newTxtRecId) {
    this.txtRecId = newTxtRecId;
  }
  
  public String getDisabbutCourseLOV() {
    return this.disabbutCourseLOV;
  }
  
  public void setDisabbutCourseLOV(String newDisabbutCourseLOV) {
    this.disabbutCourseLOV = newDisabbutCourseLOV;
  }
  
  public String getDisabbutTrngCalLOV() {
    return this.disabbutTrngCalLOV;
  }
  
  public void setDisabbutTrngCalLOV(String newDisabbutTrngCalLOV) {
    this.disabbutTrngCalLOV = newDisabbutTrngCalLOV;
  }
  
  public String getDisabbutRecLOV() {
    return this.disabbutRecLOV;
  }
  
  public void setDisabbutRecLOV(String newDisabbutRecLOV) {
    this.disabbutRecLOV = newDisabbutRecLOV;
  }
  
  public String getTxtLevel() {
    return this.txtLevel;
  }
  
  public void setTxtLevel(String newTxtLevel) {
    this.txtLevel = newTxtLevel;
  }
  
  public String getTxtEmpId() {
    return this.txtEmpId;
  }
  
  public void setTxtEmpId(String newTxtEmpId) {
    this.txtEmpId = newTxtEmpId;
  }
  
  public String getTxtRecNo() {
    return this.txtRecNo;
  }
  
  public void setTxtRecNo(String newTxtRecNo) {
    this.txtRecNo = newTxtRecNo;
  }
  
  public String getTxtCourseCode() {
    return this.txtCourseCode;
  }
  
  public void setTxtCourseCode(String newTxtCourseCode) {
    this.txtCourseCode = newTxtCourseCode;
  }
  
  public String getDisabtxtRemarks() {
    return this.disabtxtRemarks;
  }
  
  public void setDisabtxtRemarks(String newDisabtxtRemarks) {
    this.disabtxtRemarks = newDisabtxtRemarks;
  }
  
  public String getDisabtxtPurpose() {
    return this.disabtxtPurpose;
  }
  
  public void setDisabtxtPurpose(String newDisabtxtPurpose) {
    this.disabtxtPurpose = newDisabtxtPurpose;
  }
}
